import { Controller, Get, UseGuards } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import AuthGuard from '../../lib/auth.guard';
import { WorkflowNodeTypeService } from './workflow-node-type.service';

@ApiTags('workflow-node-types')
@UseGuards(AuthGuard)
@Controller('workflow-node-types')
export class WorkflowNodeTypeController {
  constructor(private readonly service: WorkflowNodeTypeService) {}

  @Get()
  findAll() {
    return this.service.findAll();
  }
}
